> ## Documentation Index
> Fetch the complete documentation index at: https://docs.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Uncategorize and archive external account

> Uncategorizes all transactions and archives an external account. This purges the account by reverting all transaction categorizations and then archiving the account. The account will no longer sync new transactions and will be removed from the Layer dashboard.



## OpenAPI

````yaml post /v1/businesses/{businessId}/external-accounts/{externalAccountId}/uncategorize-and-archive
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/external-accounts/{externalAccountId}/uncategorize-and-archive:
    post:
      tags: []
      summary: Uncategorize and archive external account
      description: >-
        Uncategorizes all transactions and archives an external account. This
        purges the account by reverting all transaction categorizations and then
        archiving the account. The account will no longer sync new transactions
        and will be removed from the Layer dashboard.
      operationId: business.external-accounts.uncategorize-and-archive.post
      parameters:
        - name: businessId
          in: path
          description: The UUID of the business.
          required: true
          schema:
            type: string
        - name: externalAccountId
          in: path
          description: The UUID of the external account to uncategorize and archive.
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json.
          schema:
            type: string
      responses:
        '200':
          description: External account uncategorized and archived successfully.
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmptyResponse'
      deprecated: false
components:
  schemas:
    EmptyResponse:
      type: object
      properties:
        type:
          type: string
          description: >-
            Resource type. Value will be
            'com.layerfi.controllers.EmptyResponse'.
          example: '{}'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````